-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1:3306
-- Generation Time: Jan 27, 2025 at 03:29 PM
-- Server version: 10.10.2-MariaDB
-- PHP Version: 8.2.0

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `exdb`
--

-- --------------------------------------------------------

--
-- Table structure for table `ai_history`
--

DROP TABLE IF EXISTS `proloss`;
CREATE TABLE IF NOT EXISTS `proloss` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` varchar(200) NOT NULL,
  `type` tinyint(3) UNSIGNED NOT NULL COMMENT '1:profit, 2:fee',
  `cad` varchar(20) NOT NULL,
  `report_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `created` DATETIME NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `forms`;
CREATE TABLE IF NOT EXISTS `forms` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `formtype_id` int(11) DEFAULT NULL,
  `formpart_id` int(11) DEFAULT NULL,
  `question` varchar(120) DEFAULT NULL,
  `order` int(11) DEFAULT NULL,
  `hint` varchar(50) DEFAULT NULL,
  `Mandatory` tinyint(1) NOT NULL DEFAULT 0,
  `type` int(11) DEFAULT 1,
  `options` varchar(50) DEFAULT NULL,
  `label` varchar(1000) DEFAULT NULL,
  `Fintrac` int(11) NOT NULL DEFAULT 1,
  `max_char` smallint(3) UNSIGNED NOT NULL DEFAULT 10,
  `collapse` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `Version` tinyint(4) NOT NULL DEFAULT 1,
  `Wait` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `forms`
--

INSERT INTO `forms` (`id`, `formtype_id`, `formpart_id`, `question`, `order`, `hint`, `Mandatory`, `type`, `options`, `label`, `Fintrac`, `max_char`, `collapse`, `Version`, `Wait`) VALUES
(1, 1, 1, '1. Reporting entity\'s full name:', 1, 'It Will Fill Automatically', 0, 1, NULL, 'This provides general information about the report you are sending to facilitate its processing.\n', 1, 100, 0, 1, 0),
(2, 1, 1, '1a. Reporting entity report reference number:', 2, 'It Will Fill Automatically', 0, 1, NULL, 'FINTRAC web reporting will assign a FINTRAC report number to each report, which appears at the bottom right of each screen for the report.\n\nIf you use a different reference number for your own internal purposes, you can enter it in your report to FINTRAC. This number has to be unique for each of your reporting entity\'s reports.\n\nIf you do not wish to use such an internal reference number, leave this field empty.\n', 1, 20, 0, 1, 0),
(3, 1, 1, '2. Surname:', 3, 'It Will Fill Automatically', 0, 1, NULL, 'Who can FINTRAC contact about this report?', 1, 100, 0, 1, 0),
(4, 1, 1, '3. Given name:', 4, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 100, 0, 1, 0),
(5, 1, 1, '4. Other/initial:', 5, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(6, 1, 1, '5. Telephone number:', 6, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(7, 1, 1, '6. Extension:', 7, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(8, 1, 2, '3a. 24-hour-rule indicator:', 1, NULL, 1, 3, 'indicators', 'Report indicator\n\nIf the transaction being reported is of $10,000 or more, answer \"no\" in the 24-hour-rule indicator field.\n\nIf the transaction being reported is one of two or more EFT transactions of less than $10,000 each made within 24 consecutive hours of each other that total $10,000 or more, answer \"yes\" in the 24 hour rule indicator field. Include each such transaction in a separate EFT report and remember to use the 24-hour-rule indicator in Part A for each one.\n', 1, 10, 0, 1, 0),
(9, 1, 2, '1. Time of transaction:', 2, 'HH:MM:SS', 0, 1, NULL, 'The transaction (when the EFT was sent)', 1, 10, 0, 1, 0),
(10, 1, 2, '2. Date of transaction:', 3, 'YYYY-MM-DD', 1, 1, NULL, NULL, 1, 10, 0, 1, 0),
(11, 1, 2, '3. Amount of transaction:', 4, 'X,XXX.XX', 1, 1, NULL, NULL, 1, 0, 0, 1, 0),
(12, 1, 2, '4. Transaction currency:', 5, NULL, 1, 3, 'currencies', NULL, 1, 50, 0, 1, 0),
(13, 1, 2, '5. Exchange rate:', 6, NULL, 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(14, 1, 3, '1. Full name of entity:', 1, NULL, 3, 2, 'entities', 'The client ordering the EFT', 1, 100, 0, 1, 0),
(15, 1, 3, '2. Surname:', 2, NULL, 3, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(16, 1, 3, '3. Given name:', 3, NULL, 3, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(17, 1, 3, '4. Other/initial:', 4, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(18, 1, 3, '5. Street address:', 5, NULL, 1, 1, NULL, NULL, 1, 200, 0, 1, 0),
(19, 1, 3, '6. City:', 6, NULL, 1, 1, NULL, NULL, 1, 70, 0, 1, 0),
(20, 1, 3, '7. Country:', 7, NULL, 1, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(21, 1, 3, '8. Province or state:', 8, NULL, 1, 5, 'states', NULL, 1, 100, 0, 1, 0),
(22, 1, 3, '9. Postal or zip code:', 9, NULL, 2, 1, NULL, NULL, 1, 20, 0, 1, 0),
(23, 1, 3, '10. Telephone number:', 10, '(XXX) XXX-XXXX', 1, 1, NULL, 'Additional information about the client', 1, 20, 0, 1, 0),
(24, 1, 3, '11. Date of birth:', 11, 'YYYY-MM-DD', 1, 1, NULL, NULL, 1, 10, 0, 1, 0),
(25, 1, 3, '12. Occupation:', 12, NULL, 1, 2, 'occupations', NULL, 1, 100, 0, 1, 0),
(26, 1, 3, '13. Client\'s account number:', 13, NULL, 2, 1, NULL, NULL, 1, 100, 0, 1, 0),
(27, 1, 3, '14. identifier:', 14, NULL, 1, 5, 'identifiers', 'Please ulpoud client\'s ID Card after submit this form at the client\'s page (at your dashboard\'s sidebar).', 1, 100, 0, 1, 0),
(28, 1, 3, '15. ID number:', 15, NULL, 1, 1, NULL, NULL, 1, 20, 0, 1, 0),
(29, 1, 4, '1. Full name of entity:', 1, NULL, 3, 2, 'senders', 'The individual or entity sending the payment instructions for the EFT', 1, 100, 0, 1, 0),
(30, 1, 4, '2. Surname:', 2, NULL, 3, 2, 'senders', NULL, 1, 100, 0, 1, 0),
(31, 1, 4, '3. Given name:', 3, NULL, 3, 2, 'senders', NULL, 1, 100, 0, 1, 0),
(32, 1, 4, '4. Other/initial:', 4, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(33, 1, 4, '5. Street address:', 5, NULL, 1, 1, NULL, NULL, 1, 200, 0, 1, 0),
(34, 1, 4, '6. City:', 6, NULL, 1, 1, NULL, NULL, 1, 70, 0, 1, 0),
(35, 1, 4, '7. Country:', 7, NULL, 1, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(36, 1, 4, '8. Province or state:', 8, NULL, 1, 5, 'states', NULL, 1, 100, 0, 1, 0),
(37, 1, 4, '9. Postal or zip code:', 9, NULL, 2, 1, NULL, NULL, 1, 20, 0, 1, 0),
(38, 1, 5, '1. Full name of entity:', 1, NULL, 0, 2, 'entities', 'Any third party related to the EFT order', 1, 100, 0, 1, 0),
(39, 1, 5, '2. Surname:', 2, NULL, 0, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(40, 1, 5, '3. Given name:', 3, NULL, 0, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(41, 1, 5, '4. Other/initial:', 4, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(42, 1, 5, '5. Street address:', 5, NULL, 0, 1, NULL, 'Ordering third party\'s full address', 1, 200, 0, 1, 0),
(43, 1, 5, '6. City:', 6, NULL, 0, 1, NULL, NULL, 1, 70, 0, 1, 0),
(44, 1, 5, '7. Country:', 7, NULL, 0, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(45, 1, 5, '8. Province or state:', 8, NULL, 0, 5, 'states', NULL, 1, 100, 0, 1, 0),
(46, 1, 5, '9. Postal or zip code:', 9, NULL, 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(47, 1, 5, '10. Date of birth:', 10, 'YYYY-MM-DD', 0, 1, NULL, 'The ordering third party', 1, 10, 0, 1, 0),
(48, 1, 5, '11. Occupation:', 11, NULL, 0, 2, 'occupations', NULL, 1, 100, 0, 1, 0),
(49, 1, 5, '12. identifier:', 12, NULL, 0, 5, 'identifiers', NULL, 1, 100, 0, 1, 0),
(50, 1, 6, '1. Full name of entity:', 1, NULL, 0, 2, 'receivers', 'The individual or entity receiving the payment instructions for the EFT\n\nIn the case of an incoming EFT, this part is for information about you as the reporting entity receiving the payment instructions.\n', 1, 100, 0, 1, 0),
(51, 1, 6, '2. Surname:', 2, NULL, 0, 2, 'receivers', NULL, 1, 100, 0, 1, 0),
(52, 1, 6, '3. Given name:', 3, NULL, 0, 2, 'receivers', NULL, 1, 100, 0, 1, 0),
(53, 1, 6, '4. Other/initial:', 4, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(54, 1, 6, '5. Reporting entity location number:', 5, 'It Will Fill Automatically', 0, 1, NULL, 'Receiver\'s full address', 0, 30, 0, 1, 0),
(55, 1, 6, '6. Street address:', 6, NULL, 0, 1, NULL, NULL, 1, 200, 0, 1, 0),
(56, 1, 6, '7. City:', 7, NULL, 0, 1, NULL, NULL, 1, 70, 0, 1, 0),
(57, 1, 6, '8. Province:', 8, NULL, 0, 5, 'states', NULL, 1, 100, 0, 1, 0),
(58, 1, 6, '9. Postal code:', 9, NULL, 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(59, 1, 7, '1. Full name of entity:', 1, NULL, 3, 2, 'entities', 'The client to whose benefit payment is made', 1, 100, 0, 1, 0),
(60, 1, 7, '2. Surname:', 2, NULL, 3, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(61, 1, 7, '3. Given name:', 3, NULL, 3, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(62, 1, 7, '4. Other/initial:', 4, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(63, 1, 7, '5. Street address:', 5, NULL, 1, 1, NULL, 'Beneficiary\'s full address', 1, 200, 0, 1, 0),
(64, 1, 7, '6. City:', 6, NULL, 1, 1, NULL, NULL, 1, 70, 0, 1, 0),
(65, 1, 7, '7. Country:', 7, NULL, 1, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(66, 1, 7, '8. Province or state:', 8, NULL, 1, 5, 'states', NULL, 1, 100, 0, 1, 0),
(67, 1, 7, '9. Postal or zip code:', 9, NULL, 2, 1, NULL, NULL, 1, 20, 0, 1, 0),
(68, 1, 7, '10. Telephone number:', 10, '(XXX) XXX-XXXX', 1, 1, NULL, 'Additional information about the beneficiary', 1, 20, 0, 1, 0),
(69, 1, 7, '11. Date of birth:', 11, 'YYYY-MM-DD', 1, 1, NULL, NULL, 1, 10, 0, 1, 0),
(70, 1, 7, '12. Occupation:', 12, NULL, 1, 2, 'occupations', NULL, 1, 100, 0, 1, 0),
(71, 1, 7, '13. Client\'s account number:', 13, NULL, 2, 1, NULL, NULL, 1, 100, 0, 1, 0),
(72, 1, 7, '14. identifier:', 14, NULL, 1, 5, 'identifiers', NULL, 1, 100, 0, 1, 0),
(73, 1, 8, '1. Full name of entity:', 1, NULL, 0, 2, 'entities', 'Any third party beneficiary of the EFT payment', 1, 100, 0, 1, 0),
(74, 1, 8, '2. Surname:', 2, NULL, 0, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(75, 1, 8, '3. Given name:', 3, NULL, 0, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(76, 1, 8, '4. Other/initial:', 4, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(77, 1, 8, '5. Street address:', 5, NULL, 0, 1, NULL, 'Third-party beneficiary\'s full address', 1, 200, 0, 1, 0),
(78, 1, 8, '6. City:', 6, NULL, 0, 1, NULL, NULL, 1, 70, 0, 1, 0),
(79, 1, 8, '7. Country:', 7, NULL, 0, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(80, 1, 8, '8. Province or state:', 8, NULL, 0, 5, 'states', NULL, 1, 100, 0, 1, 0),
(81, 1, 8, '9. Postal or zip code:', 9, NULL, 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(82, 1, 8, '10. Date of birth:', 10, 'YYYY-MM-DD', 0, 1, NULL, 'Additional information about the third-party beneficiary', 1, 10, 0, 1, 0),
(83, 1, 8, '11. Occupation:', 11, NULL, 0, 2, 'occupations', NULL, 1, 100, 0, 1, 0),
(84, 1, 8, '12. identifier:', 12, NULL, 0, 5, 'identifiers', NULL, 1, 100, 0, 1, 0),
(85, 2, 1, '1. Reporting entity\'s full name:', 1, 'It Will Fill Automatically', 0, 1, NULL, 'This provides general information about the report you are sending to facilitate its processing.\n', 1, 100, 0, 1, 0),
(86, 2, 1, '1a. Reporting entity report reference number:', 2, 'It Will Fill Automatically', 0, 1, NULL, 'FINTRAC web reporting will assign a FINTRAC report number to each report, which appears at the bottom right of each screen for the report.\n\nIf you use a different reference number for your own internal purposes, you can enter it in your report to FINTRAC. This number has to be unique for each of your reporting entity\'s reports.\n\nIf you do not wish to use such an internal reference number, leave this field empty.\n', 1, 20, 0, 1, 0),
(87, 2, 1, '2. Surname:', 3, 'It Will Fill Automatically', 0, 1, NULL, 'Who can FINTRAC contact about this report?', 1, 100, 0, 1, 0),
(88, 2, 1, '3. Given name:', 4, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 100, 0, 1, 0),
(89, 2, 1, '4. Other/initial:', 5, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(90, 2, 1, '5. Telephone number:', 6, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(91, 2, 1, '6. Extension:', 7, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(92, 2, 2, '3a. 24-hour-rule indicator:', 1, NULL, 1, 3, 'indicators', 'Report indicator\n\nIf the transaction being reported is of $10,000 or more, answer \"no\" in the 24-hour-rule indicator field.\n\nIf the transaction being reported is one of two or more EFT transactions of less than $10,000 each made within 24 consecutive hours of each other that total $10,000 or more, answer \"yes\" in the 24 hour rule indicator field. Include each such transaction in a separate EFT report and remember to use the 24-hour-rule indicator in Part A for each one.\n', 1, 10, 0, 1, 0),
(93, 2, 2, '1. Time of transaction:', 2, 'HH:MM:SS', 0, 1, NULL, 'The transaction (when the EFT was sent)', 1, 10, 0, 1, 0),
(94, 2, 2, '2. Date of transaction:', 3, 'YYYY-MM-DD', 1, 1, NULL, NULL, 1, 10, 0, 1, 0),
(95, 2, 2, '3. Amount of transaction:', 4, 'X,XXX.XX', 1, 1, NULL, NULL, 1, 0, 0, 1, 0),
(96, 2, 2, '4. Transaction currency:', 5, NULL, 1, 3, 'currencies', NULL, 1, 50, 0, 1, 0),
(97, 2, 2, '5. Exchange rate:', 6, NULL, 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(98, 2, 3, '1. Full name of entity:', 1, NULL, 3, 2, 'entities', 'The client ordering the EFT', 1, 100, 0, 1, 0),
(99, 2, 3, '2. Surname:', 2, NULL, 3, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(100, 2, 3, '3. Given name:', 3, NULL, 3, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(101, 2, 3, '4. Other/initial:', 4, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(102, 2, 3, '5. Street address:', 5, NULL, 1, 1, NULL, 'Client\'s full address', 1, 200, 0, 1, 0),
(103, 2, 3, '6. City:', 6, NULL, 1, 1, NULL, NULL, 1, 70, 0, 1, 0),
(104, 2, 3, '7. Country:', 7, NULL, 1, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(105, 2, 3, '8. Province or state:', 8, NULL, 1, 5, 'states', NULL, 1, 100, 0, 1, 0),
(106, 2, 3, '9. Postal or zip code:', 9, NULL, 2, 1, NULL, NULL, 1, 20, 0, 1, 0),
(107, 2, 3, '10. Telephone number:', 10, '(XXX) XXX-XXXX', 1, 1, NULL, 'Additional information about the client', 1, 20, 0, 1, 0),
(108, 2, 3, '11. Date of birth:', 11, 'YYYY-MM-DD', 1, 1, NULL, NULL, 1, 10, 0, 1, 0),
(109, 2, 3, '12. Occupation:', 12, NULL, 1, 2, 'occupations', NULL, 1, 100, 0, 1, 0),
(110, 2, 3, '13. Client\'s account number:', 13, NULL, 2, 1, NULL, NULL, 1, 100, 0, 1, 0),
(111, 2, 3, '14. identifier:', 14, NULL, 1, 5, 'identifiers', 'Please ulpoud client\'s ID Card after submit this form at the client\'s page (at your dashboard\'s sidebar).', 1, 100, 0, 1, 0),
(112, 2, 3, '15. ID number:', 15, NULL, 1, 1, NULL, NULL, 1, 20, 0, 1, 0),
(113, 2, 6, '1. Full name of entity:', 1, NULL, 3, 2, 'senders', 'The individual or entity receiving the payment instructions for the EFT', 1, 100, 0, 1, 0),
(114, 2, 6, '2. Surname:', 2, NULL, 3, 2, 'senders', NULL, 1, 100, 0, 1, 0),
(115, 2, 6, '3. Given name:', 3, NULL, 3, 2, 'senders', NULL, 1, 100, 0, 1, 0),
(116, 2, 6, '4. Other/initial:', 4, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(117, 2, 6, '5. Street address:', 5, NULL, 1, 1, NULL, 'Receiver\'s full address', 1, 200, 0, 1, 0),
(118, 2, 6, '6. City:', 6, NULL, 1, 1, NULL, NULL, 1, 70, 0, 1, 0),
(119, 2, 6, '7. Country:', 7, NULL, 1, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(120, 2, 6, '8. Province or state:', 8, NULL, 1, 5, 'states', NULL, 1, 100, 0, 1, 0),
(121, 2, 6, '9. Postal or zip code:', 9, NULL, 2, 1, NULL, NULL, 1, 20, 0, 1, 0),
(122, 2, 5, '1. Full name of entity:', 1, NULL, 0, 2, 'entities', 'Any third party related to the EFT order', 1, 100, 0, 1, 0),
(123, 2, 5, '2. Surname:', 2, NULL, 0, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(124, 2, 5, '3. Given name:', 3, NULL, 0, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(125, 2, 5, '4. Other/initial:', 4, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(126, 2, 5, '5. Street address:', 5, NULL, 0, 1, NULL, 'Ordering third party\'s full address', 1, 200, 0, 1, 0),
(127, 2, 5, '6. City:', 6, NULL, 0, 1, NULL, NULL, 1, 70, 0, 1, 0),
(128, 2, 5, '7. Country:', 7, NULL, 0, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(129, 2, 5, '8. Province or state:', 8, NULL, 0, 5, 'states', NULL, 1, 100, 0, 1, 0),
(130, 2, 5, '9. Postal or zip code:', 9, NULL, 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(131, 2, 5, '10. Date of birth:', 10, 'YYYY-MM-DD', 0, 1, NULL, 'The ordering third party', 1, 10, 0, 1, 0),
(132, 2, 5, '11. Occupation:', 11, NULL, 0, 2, 'occupations', NULL, 1, 100, 0, 1, 0),
(133, 2, 5, '12. identifier:', 12, NULL, 0, 5, 'identifiers', NULL, 1, 100, 0, 1, 0),
(134, 2, 4, '1. Full name of entity:', 1, NULL, 0, 2, 'receivers', 'The individual or entity sending the payment instructions for the EFT', 1, 100, 0, 1, 0),
(135, 2, 4, '2. Surname:', 2, NULL, 0, 2, 'receivers', NULL, 1, 100, 0, 1, 0),
(136, 2, 4, '3. Given name:', 3, NULL, 0, 2, 'receivers', NULL, 1, 100, 0, 1, 0),
(137, 2, 4, '4. Other/initial:', 4, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(138, 2, 4, '5. Reporting entity location number:', 5, 'It Will Fill Automatically', 0, 1, NULL, 'Sender\'s full address', 0, 30, 0, 1, 0),
(139, 2, 4, '6. Street address:', 6, NULL, 0, 1, NULL, NULL, 1, 200, 0, 1, 0),
(140, 2, 4, '7. City:', 7, NULL, 0, 1, NULL, NULL, 1, 70, 0, 1, 0),
(141, 2, 4, '8. Province:', 8, NULL, 0, 5, 'states', NULL, 1, 100, 0, 1, 0),
(142, 2, 4, '9. Postal code:', 9, NULL, 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(143, 2, 7, '1. Full name of entity:', 1, NULL, 3, 2, 'entities', 'The client to whose benefit payment is made', 1, 100, 0, 1, 0),
(144, 2, 7, '2. Surname:', 2, NULL, 3, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(145, 2, 7, '3. Given name:', 3, NULL, 3, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(146, 2, 7, '4. Other/initial:', 4, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(147, 2, 7, '5. Street address:', 5, NULL, 2, 1, NULL, 'Beneficiary\'s full address', 1, 200, 0, 1, 0),
(148, 2, 7, '6. City:', 6, NULL, 2, 1, NULL, NULL, 1, 70, 0, 1, 0),
(149, 2, 7, '7. Country:', 7, NULL, 1, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(150, 2, 7, '8. Province or state:', 8, NULL, 2, 5, 'states', NULL, 1, 100, 0, 1, 0),
(151, 2, 7, '9. Postal or zip code:', 9, NULL, 2, 1, NULL, NULL, 1, 20, 0, 1, 0),
(152, 2, 7, '10. Telephone number:', 10, '(XXX) XXX-XXXX', 2, 1, NULL, 'Additional information about the beneficiary', 1, 20, 0, 1, 0),
(153, 2, 7, '11. Date of birth:', 11, 'YYYY-MM-DD', 2, 1, NULL, NULL, 1, 10, 0, 1, 0),
(154, 2, 7, '12. Occupation:', 12, NULL, 2, 2, 'occupations', NULL, 1, 100, 0, 1, 0),
(155, 2, 7, '13. Client\'s account number:', 13, NULL, 2, 1, NULL, NULL, 1, 100, 0, 1, 0),
(156, 2, 7, '14. identifier:', 14, NULL, 2, 5, 'identifiers', NULL, 1, 100, 0, 1, 0),
(157, 2, 8, '1. Full name of entity:', 1, NULL, 0, 2, 'entities', 'Any third party beneficiary of the EFT payment', 1, 100, 0, 1, 0),
(158, 2, 8, '2. Surname:', 2, NULL, 0, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(159, 2, 8, '3. Given name:', 3, NULL, 0, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(160, 2, 8, '4. Other/initial:', 4, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(161, 2, 8, '5. Street address:', 5, NULL, 0, 1, NULL, 'Third-party beneficiary\'s full address', 1, 200, 0, 1, 0),
(162, 2, 8, '6. City:', 6, NULL, 0, 1, NULL, NULL, 1, 70, 0, 1, 0),
(163, 2, 8, '7. Country:', 7, NULL, 0, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(164, 2, 8, '8. Province or state:', 8, NULL, 0, 5, 'states', NULL, 1, 100, 0, 1, 0),
(165, 2, 8, '9. Postal or zip code:', 9, NULL, 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(166, 2, 8, '10. Date of birth:', 10, 'YYYY-MM-DD', 0, 1, NULL, 'Additional information about the third-party beneficiary', 1, 10, 0, 1, 0),
(167, 2, 8, '11. Occupation:', 11, NULL, 0, 2, 'occupations', NULL, 1, 100, 0, 1, 0),
(168, 2, 8, '12. identifier:', 12, NULL, 0, 5, 'identifiers', NULL, 1, 100, 0, 1, 0),
(169, 3, 9, '12. 24-hour rule indicator:', 1, NULL, 1, 3, 'indicators', 'Report indicator', 1, 10, 0, 1, 0),
(170, 3, 9, '1a. Reporting entity location number:', 2, 'It Will Fill Automatically', 0, 1, NULL, 'Where the transaction took place', 0, 30, 0, 1, 0),
(171, 3, 9, '3. Street address:', 3, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 200, 0, 1, 0),
(172, 3, 9, '4. City:', 4, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 70, 0, 1, 0),
(173, 3, 9, '5. Province:', 5, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 100, 0, 1, 0),
(174, 3, 9, '6. Postal code:', 5, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(175, 3, 9, '6a. Reporting entity report reference number:', 6, 'It Will Fill Automatically', 0, 1, NULL, 'Name of the individual FINTRAC can contact about this report', 1, 20, 0, 1, 0),
(176, 3, 9, '7. Surname:', 7, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 100, 0, 1, 0),
(177, 3, 9, '8. Given name:', 8, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 100, 0, 1, 0),
(178, 3, 9, '9. Other/initial:', 9, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(179, 3, 9, '10. Telephone number:', 10, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(180, 3, 9, '10a. Extension:', 11, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(181, 3, 9, '11. Activity sector:', 12, NULL, 1, 3, 'activities', 'Which one of the following types of reporting entities best describes you?', 1, 40, 0, 1, 0),
(182, 3, 2, '1. Date of transaction:', 1, 'YYYY-MM-DD', 1, 1, NULL, 'How the transaction was initiated', 1, 10, 0, 1, 1),
(183, 3, 2, '2. Time of transaction:', 2, 'HH:MM:SS', 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(184, 3, 2, '3. Night deposit or quick drop indicator:', 3, NULL, 2, 3, 'nightdeposits', NULL, 1, 20, 0, 1, 1),
(185, 3, 2, '4. Date of posting (if different from date of transaction):', 4, 'YYYY-MM-DD', 0, 1, NULL, 'Additional information about the transaction', 1, 10, 0, 1, 0),
(186, 3, 2, '5. Amount of transaction:', 5, 'X,XXX.XX', 1, 1, NULL, NULL, 1, 0, 0, 1, 0),
(187, 3, 2, '6. Transaction currency:', 6, NULL, 1, 3, 'currencies', NULL, 1, 50, 0, 1, 0),
(188, 3, 2, '7. How was the transaction conducted?', 7, NULL, 1, 5, 'conducteds', NULL, 1, 30, 0, 1, 0),
(209, 3, 12, '13. On behalf of:', 1, NULL, 2, 3, 'behalves', NULL, 1, 40, 0, 1, 1),
(210, 3, 12, '8. Disposition of funds:', 2, NULL, 1, 5, 'dispositions', NULL, 1, 40, 0, 1, 1),
(211, 3, 12, '9. Amount of disposition:', 4, 'X,XXX.XX', 1, 1, NULL, NULL, 1, 0, 0, 1, 0),
(212, 3, 12, '10. Disposition currency:', 5, NULL, 1, 3, 'currencies', NULL, 1, 50, 0, 1, 0),
(213, 3, 12, '11. Other institution name and number or other person or entity name:', 6, NULL, 0, 1, NULL, 'Additional information about the funds', 1, 100, 0, 1, 0),
(214, 3, 12, '12. Other person or entity account or policy number:', 7, NULL, 2, 1, NULL, NULL, 1, 100, 0, 1, 0),
(215, 3, 10, '1. Branch/Transit number where account held:', 1, NULL, 2, 1, NULL, 'Account information (if applicable)', 1, 100, 0, 1, 0),
(216, 3, 10, '2. Account number:', 2, NULL, 2, 1, NULL, NULL, 1, 100, 0, 1, 0),
(217, 3, 10, '3. Account type:', 3, NULL, 2, 5, 'accounttypes', NULL, 1, 200, 0, 1, 1),
(218, 3, 10, '4. Account currency:', 4, NULL, 2, 3, 'currencies', NULL, 1, 50, 0, 1, 0),
(219, 3, 10, '5a. Account holder:', 5, NULL, 2, 1, NULL, NULL, 1, 50, 0, 1, 0),
(220, 3, 10, '5b. Account holder:', 6, NULL, 2, 1, NULL, NULL, 1, 50, 0, 1, 0),
(221, 3, 10, '5c. Account holder:', 7, NULL, 2, 1, NULL, NULL, 1, 50, 0, 1, 0),
(222, 3, 11, '1. Surname:', 1, NULL, 3, 2, 'persons', 'The individual conducting the transaction', 1, 100, 0, 1, 0),
(223, 3, 11, '2. Given name:', 2, NULL, 3, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(224, 3, 11, '3. Other/initial:', 3, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(225, 3, 11, '4. Entity client number:', 4, NULL, 3, 1, NULL, NULL, 1, 20, 0, 1, 0),
(226, 3, 11, '5. Street address:', 5, NULL, 1, 1, NULL, NULL, 1, 200, 0, 1, 0),
(227, 3, 11, '6. City:', 6, NULL, 1, 1, NULL, NULL, 1, 70, 0, 1, 0),
(228, 3, 11, '7. Country:', 7, NULL, 1, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(261, 3, 11, '8. Province or state:', 8, NULL, 1, 5, 'states', NULL, 1, 100, 0, 1, 0),
(262, 3, 11, '9. Postal or zip code:', 9, NULL, 2, 1, NULL, NULL, 1, 20, 0, 1, 0),
(263, 3, 11, '10. Country of residence:', 10, NULL, 0, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(264, 3, 11, '11. Home telephone number:', 11, '(XXX) XXX-XXXX', 4, 1, NULL, NULL, 1, 20, 0, 1, 0),
(265, 3, 11, '12. Individual\'s identifier:', 12, NULL, 1, 5, 'identifiers', 'Identification of the individual', 1, 100, 0, 1, 0),
(266, 3, 11, '13. ID number:', 13, NULL, 1, 1, NULL, NULL, 1, 20, 0, 1, 0),
(267, 3, 11, '14. Country:', 14, NULL, 1, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(268, 3, 11, '15. Province or state:', 15, NULL, 2, 5, 'states', NULL, 1, 100, 0, 1, 0),
(269, 3, 11, '16. Date of birth:', 16, 'YYYY-MM-DD', 1, 1, NULL, NULL, 1, 10, 0, 1, 0),
(270, 3, 11, '17. Occupation:', 17, NULL, 1, 2, 'occupations', NULL, 1, 100, 0, 1, 0),
(271, 3, 11, '18. Business telephone number:', 18, '(XXX) XXX-XXXX', 4, 1, NULL, NULL, 1, 20, 0, 1, 0),
(272, 3, 11, '18a. Extension:', 19, NULL, 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(273, 4, 9, '12. Transaction status:', 1, NULL, 0, 3, 'transactionstatuses', 'Transaction status', 1, 10, 0, 1, 0),
(274, 4, 9, '1a. Reporting entity location number:', 2, 'It Will Fill Automatically', 0, 1, NULL, 'Where the transaction took place', 0, 30, 0, 1, 0),
(275, 4, 9, '3. Street address:', 3, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 200, 0, 1, 0),
(276, 4, 9, '4. City:', 4, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 70, 0, 1, 0),
(277, 4, 9, '4a. Country:', 5, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 40, 0, 1, 0),
(278, 4, 9, '5. Province, state or territory:', 6, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 100, 0, 1, 0),
(279, 4, 9, '6. Postal code:', 7, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(280, 4, 9, '6a. Reporting entity report reference number:', 8, 'It Will Fill Automatically', 0, 1, NULL, 'Who can FINTRAC contact about this report?', 1, 20, 0, 1, 0),
(281, 4, 9, '7. Surname:', 9, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 100, 0, 1, 0),
(282, 4, 9, '8. Given name:', 10, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 100, 0, 1, 0),
(283, 4, 9, '9. Other/initial:', 11, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(284, 4, 9, '10. Telephone number:', 12, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(285, 4, 9, '10a. Extension:', 13, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(286, 4, 9, '11. Activity sector:', 14, NULL, 0, 3, 'activities', 'Which activity sector best applies to the type of transaction being reported?', 1, 40, 0, 1, 0),
(287, 4, 2, '1. Date of transaction:', 1, 'YYYY-MM-DD', 1, 1, NULL, 'How the transaction was initiated', 1, 10, 0, 1, 0),
(288, 4, 2, '2. Time of transaction (24hr):', 2, 'HH:MM:SS', 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(289, 4, 2, '3. Night deposit:', 3, NULL, 1, 3, 'nightdeposits2', NULL, 1, 10, 0, 1, 1),
(290, 4, 2, '4. Date of posting (if different from date of transaction):', 4, 'YYYY-MM-DD', 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(291, 4, 2, '5. Detail of funds involved in initiating transaction:', 5, NULL, 1, 5, 'funds ', NULL, 1, 40, 0, 1, 0),
(292, 4, 2, '6. Amount of transaction:', 6, 'X,XXX.XX', 1, 1, NULL, NULL, 1, 0, 0, 1, 0),
(293, 4, 2, '7. Transaction currency:', 7, NULL, 1, 3, 'currencies', NULL, 1, 50, 0, 1, 0),
(294, 4, 2, '8. Other institution name and number or other person or entity name:', 8, NULL, 0, 1, NULL, 'Additional information about funds', 1, 100, 0, 1, 0),
(295, 4, 2, '9. Other person or entity account number:', 9, NULL, 1, 1, NULL, NULL, 1, 100, 0, 1, 0),
(296, 4, 2, '10. How was the transaction conducted?', 10, NULL, 1, 5, 'conducteds', 'If the selections provided do not cover the particular method used, indicate \"Other\" and provide details in the field provided.', 1, 30, 0, 1, 0),
(297, 4, 12, '17. On behalf of:', 1, NULL, 1, 3, 'behalves', 'How the transaction was completed', 1, 40, 0, 1, 1),
(298, 4, 12, '12. Disposition of funds:', 2, NULL, 1, 5, 'dispositions', NULL, 1, 40, 0, 1, 0),
(300, 4, 12, '13. Amount of disposition:', 4, 'X,XXX.XX', 1, 1, NULL, NULL, 1, 0, 0, 1, 0),
(301, 4, 12, '14. Disposition currency:', 5, NULL, 1, 3, 'currencies', NULL, 1, 50, 0, 1, 0),
(302, 4, 12, '15. Other institution name and number or other person or entity name:', 6, NULL, 0, 1, NULL, 'Additional information about funds', 1, 100, 0, 1, 0),
(303, 4, 12, '16. Other person or entity account or policy number:', 7, NULL, 2, 1, NULL, NULL, 1, 40, 0, 1, 0),
(304, 4, 10, '1. Branch/Transit number where account held:', 1, NULL, 1, 1, NULL, 'Account information (if applicable)', 1, 100, 0, 1, 0),
(305, 4, 10, '2. Account number:', 2, NULL, 1, 1, NULL, NULL, 1, 100, 0, 1, 0),
(306, 4, 10, '3. Account type:', 3, NULL, 1, 5, 'accounttypes', NULL, 1, 200, 0, 1, 0),
(307, 4, 10, '4. Account currency:', 4, NULL, 1, 3, 'currencies', NULL, 1, 50, 0, 1, 0),
(308, 4, 10, '5a. Account holder:', 5, NULL, 1, 1, NULL, 'Full name of individual(s) or entity that hold the account', 1, 50, 0, 1, 0),
(309, 4, 10, '5b. Account holder:', 6, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(310, 4, 10, '5c. Account holder:', 7, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(311, 4, 10, '6. Date opened:', 8, 'YYYY-MM-DD', 0, 1, NULL, 'Account status', 1, 10, 0, 1, 0),
(312, 4, 10, '7. Date closed:', 9, 'YYYY-MM-DD', 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(313, 4, 10, '8. Status of the account at the time the transaction was initiated:', 10, NULL, 1, 3, 'statuses', NULL, 1, 10, 0, 1, 0),
(314, 4, 11, '1. Surname:', 1, NULL, 0, 2, 'persons', 'In Part D of the STR, you are to provide information about the individual who completed or attempted to complete the transaction.\n\nIf more than one transaction is reported in an STR, a separate Part D will have to be completed for each transaction.\nThe individual conducting the transaction', 1, 100, 0, 1, 0),
(315, 4, 11, '2. Given name:', 2, NULL, 0, 2, 'persons', NULL, 1, 100, 0, 1, 0),
(316, 4, 11, '3. Other/initial:', 3, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(317, 4, 11, '4. Entity client number:', 4, NULL, 2, 1, NULL, NULL, 1, 20, 0, 1, 0),
(318, 4, 11, '5. Street address:', 5, NULL, 0, 1, NULL, NULL, 1, 200, 0, 1, 0),
(319, 4, 11, '6. City:', 6, NULL, 0, 1, NULL, NULL, 1, 70, 0, 1, 0),
(320, 4, 11, '7. Country:', 7, NULL, 0, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(321, 4, 11, '8. Province or state:', 8, NULL, 0, 5, 'states', NULL, 1, 100, 0, 1, 0),
(322, 4, 11, '9. Postal or zip code:', 9, NULL, 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(323, 4, 11, '10. Country of residence:', 10, NULL, 0, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(324, 4, 11, '10a. Country of citizenship:', 11, NULL, 0, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(325, 4, 11, '11. Home telephone number:', 12, '(XXX) XXX-XXXX', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(326, 4, 11, '12. identifier:', 13, NULL, 0, 5, 'identifiers', 'Identification of the individual', 1, 100, 0, 1, 0),
(327, 4, 11, '13. ID number:', 14, NULL, 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(328, 4, 11, '14. Country:', 15, NULL, 0, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(329, 4, 11, '15. Province or state:', 16, NULL, 0, 5, 'states', NULL, 1, 100, 0, 1, 0),
(330, 4, 11, '16. Date of birth:', 17, 'YYYY-MM-DD', 0, 1, NULL, 'Additional information about the individual\n\nIndividual who conducted or attempted to conduct the transaction.\n', 1, 10, 0, 1, 0),
(331, 4, 11, '17. Occupation:', 18, NULL, 0, 2, 'occupations', NULL, 1, 100, 0, 1, 0),
(332, 4, 11, '18. Business telephone number:', 19, '(XXX) XXX-XXXX', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(333, 4, 11, '18a. Extension:', 20, NULL, 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(334, 4, 11, '19. Individual\'s employer:', 21, NULL, 0, 1, NULL, 'Individual\'s employer', 1, 50, 0, 1, 0),
(335, 4, 11, '20. Street address:', 22, NULL, 0, 1, NULL, NULL, 1, 200, 0, 1, 0),
(336, 4, 11, '21. City:', 23, NULL, 0, 1, NULL, NULL, 1, 70, 0, 1, 0),
(337, 4, 11, '22. Country:', 24, NULL, 0, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(338, 4, 11, '23. Province or state:', 25, NULL, 0, 5, 'states', NULL, 1, 100, 0, 1, 0),
(339, 4, 11, '24. Postal or zip code:', 26, NULL, 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(340, 4, 11, '25. Business telephone number:', 27, '(XXX) XXX-XXXX', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(341, 4, 11, '25a. Extension:', 28, NULL, 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(342, 4, 13, 'Reason for suspicion:', 1, NULL, 1, 4, NULL, 'Suspicion of money laundering (ML) or terrorist financing (TF)', 1, 200, 0, 1, 0),
(343, 4, 14, 'Description of action taken (if applicable):', 1, NULL, 2, 4, NULL, 'Action taken in response to suspicion', 1, 200, 0, 1, 0),
(347, 1, 3, '16. Expiry Date:', 16, 'YYYY-MM-DD', 0, 1, NULL, NULL, 0, 10, 0, 1, 0),
(348, 1, 3, '17. ID Issuance(Country):', 17, NULL, 0, 3, 'countries', NULL, 0, 40, 0, 1, 0),
(349, 1, 7, '15. ID number:', 15, NULL, 0, 1, NULL, NULL, 0, 20, 0, 1, 0),
(350, 1, 7, '16. Expiry Date:', 16, 'YYYY-MM-DD', 0, 1, NULL, NULL, 0, 10, 0, 1, 0),
(351, 1, 7, '17. ID Issuance(Country):', 17, NULL, 0, 3, 'countries', NULL, 0, 40, 0, 1, 0),
(352, 2, 3, '16. Expiry Date:', 16, 'YYYY-MM-DD', 0, 1, NULL, NULL, 0, 10, 0, 1, 0),
(353, 2, 3, '17. ID Issuance(Country):', 17, NULL, 0, 3, 'countries', NULL, 0, 40, 0, 1, 0),
(354, 2, 7, '15. ID number:', 15, NULL, 0, 1, NULL, NULL, 0, 20, 0, 1, 0),
(355, 2, 7, '16. Expiry Date:', 16, 'YYYY-MM-DD', 0, 1, NULL, NULL, 0, 10, 0, 1, 0),
(356, 2, 7, '17. ID Issuance(Country):', 17, NULL, 0, 3, 'countries', NULL, 0, 40, 0, 1, 0),
(357, 1, 2, '6. Client Type:', 7, NULL, 0, 5, 'types', NULL, 0, 10, 0, 1, 0),
(358, 1, 2, '7. Amount in CAD:', 8, 'X,XXX.XX', 0, 1, NULL, NULL, 0, 0, 0, 1, 0),
(359, 1, 2, '8. Received By:', 9, NULL, 0, 5, 'receivedbies', NULL, 0, 10, 0, 1, 0),
(360, 1, 2, '9. Purpose of Transaction:', 10, NULL, 0, 1, NULL, NULL, 0, 200, 0, 1, 0),
(361, 1, 2, '10. Source of Fund:', 11, NULL, 0, 1, NULL, NULL, 0, 100, 0, 1, 0),
(362, 1, 2, '11. Internal reference number:', 12, NULL, 0, 1, NULL, NULL, 0, 20, 0, 1, 0),
(363, 2, 2, '6. Client Type:', 7, NULL, 0, 5, 'types', NULL, 0, 10, 0, 1, 0),
(364, 2, 2, '7. Amount in CAD:', 8, 'X,XXX.XX', 0, 1, NULL, NULL, 0, 0, 0, 1, 0),
(365, 2, 2, '8. Received By:', 9, NULL, 0, 5, 'receivedbies', NULL, 0, 10, 0, 1, 0),
(366, 2, 2, '9. Purpose of Transaction:', 10, NULL, 0, 1, NULL, NULL, 0, 200, 0, 1, 0),
(367, 2, 2, '10. Source of Fund:', 11, NULL, 0, 1, NULL, NULL, 0, 100, 0, 1, 0),
(368, 2, 2, '11. Internal reference number:', 12, NULL, 0, 1, NULL, NULL, 0, 20, 0, 1, 0),
(369, 1, 7, '20. Bank Name:', 20, NULL, 0, 1, NULL, 'Beneficiary Client Bank Information', 0, 50, 0, 1, 0),
(370, 1, 7, '21. Amount Deposit:', 21, 'X,XXX.XX', 0, 1, NULL, NULL, 0, 0, 0, 1, 0),
(371, 1, 7, '22. Disposition Currency:', 22, NULL, 0, 3, 'currencies', NULL, 0, 50, 0, 1, 0),
(372, 1, 7, '23. Service Fee:', 23, 'X,XXX.XX', 0, 1, NULL, NULL, 0, 10, 0, 1, 0),
(373, 2, 7, '20. Bank Name:', 20, NULL, 0, 1, NULL, 'Beneficiary Client Bank Information', 0, 50, 0, 1, 0),
(374, 2, 7, '21. Amount Deposit:', 21, 'X,XXX.XX', 0, 1, NULL, NULL, 0, 0, 0, 1, 0),
(375, 2, 7, '22. Disposition Currency:', 22, NULL, 0, 3, 'currencies', NULL, 0, 50, 0, 1, 0),
(376, 2, 7, '23. Service Fee:', 23, 'X,XXX.XX', 0, 1, NULL, NULL, 0, 10, 0, 1, 0),
(381, 4, 2, '11. internal reference number:', 11, NULL, 0, 1, NULL, NULL, 0, 20, 0, 1, 0),
(382, 3, 2, '8. internal reference number:', 8, NULL, 0, 1, NULL, NULL, 0, 20, 0, 1, 0),
(383, 3, 11, '19. Expiry Date of ID:', 20, 'YYYY-MM-DD', 0, 1, NULL, NULL, 0, 10, 0, 1, 0),
(385, 3, 2, '9. Client Type:', 9, NULL, 0, 5, 'types', NULL, 0, 10, 0, 1, 0),
(386, 3, 2, '10. Amount in CAD:', 10, 'X,XXX.XX', 0, 1, NULL, NULL, 0, 0, 0, 1, 0),
(387, 3, 2, '11. Received By:', 11, NULL, 0, 5, 'receivedbies', NULL, 0, 10, 0, 1, 0),
(388, 3, 2, '12. Purpose of Transaction:', 12, NULL, 0, 1, NULL, NULL, 0, 200, 0, 1, 0),
(389, 3, 2, '13. Source of Fund:', 13, NULL, 0, 1, NULL, NULL, 0, 150, 0, 1, 0),
(390, 3, 10, '8. Bank Name:', 8, NULL, 0, 1, NULL, NULL, 0, 50, 0, 1, 0),
(392, 3, 10, '9. Service Fee:', 9, 'X,XXX.XX', 0, 1, NULL, NULL, 0, 10, 0, 1, 0),
(393, 4, 2, '12. Amount in CAD:', 12, 'X,XXX.XX', 0, 1, NULL, NULL, 0, 0, 0, 1, 0),
(396, 3, 2, '14. Exchange rate:', 14, NULL, 0, 1, NULL, NULL, 0, 10, 0, 1, 0),
(397, 3, 10, '10. Phone Number:', 10, '(XXX) XXX-XXXX', 0, 1, NULL, NULL, 0, 20, 0, 1, 0),
(399, 3, 16, '1. Name of corporation, trust or other entity:', 1, NULL, 2, 1, NULL, 'The entity on whose behalf the transaction was conducted (if applicable)', 1, 50, 0, 1, 0),
(400, 3, 16, '2. Type of business:', 2, NULL, 2, 1, NULL, NULL, 1, 30, 0, 1, 0),
(401, 3, 16, '3. Street address:', 3, NULL, 2, 1, NULL, NULL, 1, 200, 0, 1, 0),
(402, 3, 16, '4. City:', 4, NULL, 2, 1, NULL, NULL, 1, 70, 0, 1, 0),
(403, 3, 16, '5. Country:', 5, NULL, 2, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(404, 3, 16, '6. Province or state:', 6, NULL, 2, 5, 'states', NULL, 1, 100, 0, 1, 0),
(405, 3, 16, '7. Postal or zip code:', 7, NULL, 2, 1, NULL, NULL, 1, 20, 0, 1, 0),
(406, 3, 16, '8. Business telephone number:', 8, '(XXX) XXX-XXXX', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(407, 3, 16, '8a. Extension:', 9, NULL, 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(408, 3, 16, '9. Incorporation number:', 10, NULL, 2, 1, NULL, 'Incorporation information', 1, 20, 0, 1, 0),
(409, 3, 16, '10. Jurisdiction of incorporation - country', 11, NULL, 2, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(410, 3, 16, '11. Jurisdiction of incorporation - Province or state:', 12, NULL, 2, 5, 'states', NULL, 1, 100, 0, 1, 0),
(411, 3, 16, '12a. Individual\'s name:', 13, NULL, 0, 1, NULL, 'Individual(s) authorized to bind the entity or act with respect to the account (up to three)', 1, 50, 0, 1, 0),
(412, 3, 16, '12b. Individual\'s name:', 14, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(413, 3, 16, '12c. Individual\'s name:', 15, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(414, 3, 17, '1. Surname:', 1, NULL, 2, 1, NULL, 'The individual on whose behalf the transaction was conducted (if applicable).\n\nThis part only applies when the transaction\'s disposition was conducted on behalf of a third party that is an individual.\n', 1, 100, 0, 1, 0),
(415, 3, 17, '2. Given name:', 2, NULL, 2, 1, NULL, NULL, 1, 100, 0, 1, 0),
(416, 3, 17, '3. Other/initial:', 3, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(417, 3, 17, '4. Street address:', 4, NULL, 2, 1, NULL, NULL, 1, 200, 0, 1, 0),
(418, 3, 17, '5. City:', 5, NULL, 2, 1, NULL, NULL, 1, 70, 0, 1, 0),
(419, 3, 17, '6. Country:', 6, NULL, 2, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(420, 3, 17, '7. Province or state:', 7, NULL, 2, 5, 'states', NULL, 1, 100, 0, 1, 0),
(421, 3, 17, '8. Postal or zip code:', 8, NULL, 2, 1, NULL, NULL, 1, 20, 0, 1, 0),
(422, 3, 17, '9. Home telephone number:', 9, '(XXX) XXX-XXXX', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(423, 3, 17, '10. Business telephone number:', 10, '(XXX) XXX-XXXX', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(424, 3, 17, '10a. Extension:', 11, '', 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(425, 3, 17, '11. Date of birth:', 12, 'YYYY-MM-DD', 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(426, 3, 17, '12. Individual\'s identifier:', 13, NULL, 0, 5, 'identifiers', 'Identification of the individual', 1, 100, 0, 1, 0),
(427, 3, 17, '13. ID number:', 14, NULL, 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(428, 3, 17, '14. Country of residence:', 15, NULL, 0, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(429, 3, 17, '15. Country:', 16, NULL, 0, 3, 'countries', 'Jurisdiction of issue of individual\'s identifier', 1, 40, 0, 1, 0),
(430, 3, 17, '16. Province or state:', 17, NULL, 0, 5, 'states', NULL, 1, 100, 0, 1, 0),
(431, 3, 17, '17. Occupation:', 18, NULL, 0, 2, 'occupations', 'Additional information about the individual.\n\nEnter the occupation of the individual on whose behalf the transaction was conducted.\n\nBe as descriptive as possible regarding occupation. Provide information that clearly describes it, rather than use a general term. For example, in the case of a consultant, the occupation should reflect the area of consulting, such as \"IT consultant\" or \"consulting forester\". As another example, in the case of a professional, the occupation should reflect the nature of the work, such as \"petroleum engineer\" or \"family physician\".\n\nIf the individual is not employed or engaged in any type of business or profession, provide information that best describes their situation, such as \"student\", \"unemployed\", \"retired\", etc.\n', 1, 100, 0, 1, 0),
(432, 3, 17, '18. Relationship:', 19, NULL, 0, 5, 'relationships', 'Relationship of the individual named in Part D or E to the individual named above.\n\nSelect the appropriate box to indicate the relationship of the individual conducting the transaction to the individual on whose behalf the transaction was conducted. If the selections provided do not cover the relationship, indicate \"Other\" and provide details.\n', 1, 200, 0, 1, 0),
(433, 4, 16, '1. Name of corporation, trust or other entity:', 1, NULL, 2, 1, NULL, 'The entity on whose behalf the transaction was conducted (if applicable)', 1, 50, 0, 1, 0),
(434, 4, 16, '2. Type of business:', 2, NULL, 2, 1, NULL, NULL, 1, 50, 0, 1, 0),
(435, 4, 16, '3. Street address:', 3, NULL, 2, 1, NULL, NULL, 1, 200, 0, 1, 0),
(436, 4, 16, '4. City:', 4, NULL, 2, 1, NULL, NULL, 1, 70, 0, 1, 0),
(437, 4, 16, '5. Country:', 5, NULL, 2, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(438, 4, 16, '6. Province or state:', 6, NULL, 2, 5, 'states', NULL, 1, 100, 0, 1, 0),
(439, 4, 16, '7. Postal or zip code:', 7, NULL, 2, 1, NULL, NULL, 1, 20, 0, 1, 0),
(440, 4, 16, '8. Business telephone number:', 8, '(XXX) XXX-XXXX', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(441, 4, 16, '8a. Extension:', 9, NULL, 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(442, 4, 16, '9. Incorporation number:', 10, NULL, 2, 1, NULL, 'Incorporation information', 1, 20, 0, 1, 0),
(443, 4, 16, '10. Jurisdiction of incorporation - Country:', 11, NULL, 2, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(444, 4, 16, '11. Jurisdiction of incorporation - Province or state:', 12, NULL, 2, 5, 'states', NULL, 1, 100, 0, 1, 0),
(445, 4, 16, '12a. Individual\'s name:', 13, NULL, 0, 1, NULL, 'Individual(s) authorized to bind the entity or act with respect to the account (up to three)', 1, 50, 0, 1, 0),
(446, 4, 16, '12b. Individual\'s name:', 14, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(447, 4, 16, '12c. Individual\'s name:', 15, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(448, 4, 17, '1. Surname:', 1, NULL, 2, 1, NULL, 'The individual on whose behalf the transaction was conducted (if applicable).\nThis part only applies when the transaction\'s disposition was conducted on behalf of a third party that is an individual.', 1, 100, 0, 1, 0),
(449, 4, 17, '2. Given name:', 2, NULL, 2, 1, NULL, NULL, 1, 100, 0, 1, 0),
(450, 4, 17, '3. Other/initial:', 3, NULL, 0, 1, NULL, NULL, 1, 50, 0, 1, 0),
(451, 4, 17, '4. Street address:', 4, NULL, 2, 1, NULL, NULL, 1, 200, 0, 1, 0),
(452, 4, 17, '5. City:', 5, NULL, 2, 1, NULL, NULL, 1, 70, 0, 1, 0),
(453, 4, 17, '6. Country:', 6, NULL, 2, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(454, 4, 17, '7. Province or state:', 7, NULL, 2, 5, 'states', NULL, 1, 100, 0, 1, 0),
(455, 4, 17, '8. Postal or zip code:', 8, NULL, 2, 1, NULL, NULL, 1, 20, 0, 1, 0),
(456, 4, 17, '9. Home telephone number:', 9, '(XXX) XXX-XXXX', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(457, 4, 17, '10. Business telephone number:', 10, '(XXX) XXX-XXXX', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(458, 4, 17, '10a. Extension:', 11, NULL, 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(459, 4, 17, '11. Date of birth:', 12, 'YYYY-MM-DD', 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(460, 4, 17, '12. identifier:', 13, NULL, 0, 5, 'identifiers', 'Identification of the individual', 1, 100, 0, 1, 0),
(461, 4, 17, '13. ID number:', 14, NULL, 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(462, 4, 17, '14. Country of residence:', 15, NULL, 0, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(463, 4, 17, '14a. Country of citizenship:', 16, NULL, 0, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(464, 4, 17, '15. Country:', 17, NULL, 0, 3, 'countries', 'Jurisdiction of issue of individual\'s identifier', 1, 40, 0, 1, 0),
(465, 4, 17, '16. Province or state:', 18, NULL, 0, 5, 'states', NULL, 1, 100, 0, 1, 0),
(466, 4, 17, '17. Occupation:', 19, NULL, 0, 2, 'occupations', 'Additional information about the individual.Enter the occupation of the individual on whose behalf the transaction was conducted or attempted.', 1, 100, 0, 1, 0),
(467, 4, 17, '18. Employer:', 20, NULL, 0, 1, NULL, 'Enter the name of the employer (individual or entity) of the individual on whose behalf the transaction was conducted or attempted.', 1, 50, 0, 1, 0),
(468, 4, 17, '19. Employer street address:', 21, NULL, 0, 1, NULL, NULL, 1, 200, 0, 1, 0),
(469, 4, 17, '20. City:', 22, NULL, 0, 1, NULL, NULL, 1, 70, 0, 1, 0),
(470, 4, 17, '21. Country:', 23, NULL, 0, 3, 'countries', NULL, 1, 40, 0, 1, 0),
(471, 4, 17, '22. Province or state:', 24, NULL, 0, 5, 'states', NULL, 1, 100, 0, 1, 0),
(472, 4, 17, '23. Postal or zip code:', 25, NULL, 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(473, 4, 17, '24. Business telephone number:', 26, '(XXX) XXX-XXXX', 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(474, 4, 17, '24a. Extension:', 27, NULL, 0, 1, NULL, NULL, 1, 10, 0, 1, 0),
(475, 4, 17, '25. Relationship:', 28, NULL, 0, 5, 'relationships', 'Relationship of the individual named in Part D to the individual named above.Enter the relationship of the individual conducting or attempting the transaction (detailed in part D) to the individual on whose behalf the transaction was conducted or attempted (provided in Part F).\r\n\r\nIf the selections in the drop down menu do not cover the relationship type, indicate \"Other\" and provide details in the field provided.\r\n', 1, 200, 0, 1, 0),
(484, 3, 1, 'Reporting entity report reference number:', 1, 'It Will Fill Automatically', 1, 1, NULL, 'Information about the report', 1, 20, 0, 2, 0),
(485, 3, 1, '24-hour aggregation type:', 2, NULL, 0, 3, '', NULL, 1, 10, 0, 2, 0),
(486, 3, 1, 'Report time zone:', 5, NULL, 0, 3, 'timezones', NULL, 1, 35, 0, 2, 0),
(487, 3, 1, '24-hour period start date/time:', 3, 'YYYY-MM-DDTHH:mm:ssZ', 1, 1, NULL, NULL, 1, 30, 0, 2, 0),
(488, 3, 1, '24-hour period end date/time:', 3, 'YYYY-MM-DDTHH:mm:ssZ', 1, 1, NULL, NULL, 1, 30, 0, 2, 0),
(489, 3, 1, 'Ministerial Directive', 6, NULL, 0, 3, 'directives', NULL, 1, 10, 0, 2, 0),
(490, 3, 1, 'Contact Number:', 7, 'It Will Fill Automatically', 0, 1, NULL, 'Contact Information', 1, 20, 1, 2, 0),
(491, 3, 1, 'Surname:', 8, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(492, 3, 1, 'Given name:', 9, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(493, 3, 1, 'Other/initial:', 10, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 50, 1, 2, 0),
(494, 3, 1, 'Telephone number:', 11, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 20, 1, 2, 0),
(495, 3, 1, 'Extension:', 12, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 10, 1, 2, 0),
(496, 3, 1, 'Email address:', 13, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 200, 1, 2, 0),
(497, 3, 1, 'Activity sector:', 14, NULL, 1, 3, 'activities', 'Which activity sector best applies to the type of transaction being reported?', 1, 40, 0, 2, 0),
(506, 3, 2, 'Reporting entity transaction reference number:', 1, NULL, 1, 1, NULL, 'Information about the transactionReporting', 1, 200, 0, 2, 0),
(507, 3, 2, 'Threshold indicator:', 2, NULL, 1, 3, 'indicators', NULL, 1, 10, 0, 2, 1),
(508, 3, 2, 'Date and time of transaction:', 3, 'YYYY-MM-DDTHH:mm:ssZ', 1, 1, '', NULL, 1, 30, 0, 2, 1),
(509, 3, 2, 'Time zone of transaction:', 4, NULL, 0, 3, 'timezones', NULL, 1, 35, 0, 2, 0),
(510, 3, 2, 'Date of posting (if different from date of transaction):', 6, 'YYYY-MM-DD', 0, 1, NULL, NULL, 1, 30, 0, 2, 1),
(511, 3, 2, 'Time zone of posting:', 7, NULL, 0, 3, 'timezones', NULL, 1, 35, 0, 2, 0),
(512, 3, 2, 'Method of transaction:', 8, NULL, 0, 5, 'transactionmethods', NULL, 1, 200, 0, 2, 1),
(513, 3, 2, 'Purpose of transaction:', 9, NULL, 0, 4, NULL, NULL, 1, 200, 0, 2, 0),
(514, 3, 2, 'Reporting entity location number:', 10, 'It Will Fill Automatically', 0, 1, NULL, 'Location Information', 1, 30, 1, 2, 0),
(516, 3, 2, 'Street address:', 11, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 200, 1, 2, 0),
(517, 3, 2, 'City:', 12, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 70, 1, 2, 0),
(518, 3, 2, 'Country:', 13, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 40, 1, 2, 0),
(519, 3, 2, 'Province or state:', 14, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(520, 3, 2, 'Postal or zip code:', 15, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 20, 1, 2, 0),
(521, 3, 18, 'Amount:', 1, 'X,XXX.XX', 1, 1, NULL, 'Details about the starting action', 1, 0, 0, 2, 0),
(522, 3, 18, 'Transaction currency:', 2, NULL, 1, 3, 'currencies', NULL, 1, 50, 0, 2, 0),
(523, 3, 18, 'How was the cash obtained:', 3, NULL, 0, 4, NULL, NULL, 1, 200, 0, 2, 0),
(524, 3, 18, 'Was information about the source (person/entity) of cash obtained?', 4, NULL, 1, 3, 'indicators', NULL, 1, 10, 0, 2, 1),
(525, 3, 18, 'Does this action involve a deposit to a business account?', 5, NULL, 1, 3, 'indicators', NULL, 1, 10, 0, 2, 1),
(526, 3, 11, 'Client number:', 1, NULL, 0, 1, NULL, 'Information about the subject conducting the transaction', 1, 100, 0, 2, 0),
(527, 3, 11, 'Email address:', 2, NULL, 0, 1, NULL, NULL, 1, 200, 0, 2, 0),
(528, 3, 11, 'Was this transaction conducted on behalf of another person or entity?', 3, NULL, 0, 3, 'indicators', NULL, 1, 10, 0, 2, 1),
(529, 3, 19, 'Client number:', 1, NULL, 0, 1, NULL, 'Information about the on behalf of', 1, 100, 0, 2, 0),
(530, 3, 19, 'Email address:', 2, NULL, 0, 1, NULL, NULL, 1, 200, 0, 2, 0),
(531, 3, 19, 'Relationship:', 3, NULL, 0, 5, 'relationships', 'Select the value to indicate the relationship of the third party on whose behalf the transaction was conducted to the person or entity conducting the transaction. If the selections provided do not cover the relationship, indicate \"Other\" and provide details.', 1, 200, 0, 2, 0),
(532, 3, 20, 'Account number:', 1, NULL, 0, 1, NULL, 'Information about the source of cash', 1, 100, 0, 2, 0),
(533, 3, 20, 'Policy number:', 2, NULL, 0, 1, NULL, NULL, 1, 100, 0, 2, 0),
(534, 3, 20, 'Identifying number:', 3, NULL, 0, 1, NULL, NULL, 1, 100, 0, 2, 0),
(535, 3, 21, 'Client number:', 1, NULL, 0, 1, NULL, 'Information about the subject conducting the transaction', 1, 100, 0, 2, 0),
(536, 3, 21, 'Email address:', 2, NULL, 0, 1, NULL, NULL, 1, 200, 0, 2, 0),
(537, 3, 21, 'Was this transaction conducted on behalf of another person or entity?', 3, NULL, 0, 3, 'indicators', NULL, 1, 10, 0, 2, 1),
(538, 3, 22, 'Details of disposition:', 1, NULL, 1, 5, 'dispositions2', 'Information about the completing action', 1, 200, 0, 2, 1),
(539, 3, 22, 'Amount:', 2, 'X,XXX.XX', 1, 1, NULL, NULL, 1, 0, 0, 2, 0),
(540, 3, 22, 'Currency:', 4, NULL, 0, 3, 'currencies', NULL, 1, 50, 0, 2, 0),
(541, 3, 22, 'Value in Canadian dollars:', 5, 'X,XXX.XXX', 1, 1, NULL, NULL, 1, 200, 0, 2, 0),
(542, 3, 22, 'Exchange Rate:', 6, NULL, 0, 1, NULL, NULL, 1, 10, 0, 2, 0),
(543, 3, 22, 'Reference number:', 8, NULL, 0, 4, NULL, NULL, 1, 100, 0, 2, 0),
(544, 3, 22, 'Other number related to reference number:', 9, NULL, 0, 4, NULL, NULL, 1, 200, 0, 2, 0),
(545, 3, 22, 'Financial institution number:', 10, NULL, 0, 1, NULL, 'Account', 1, 50, 1, 2, 0),
(546, 3, 22, 'Branch number:', 11, NULL, 0, 1, NULL, NULL, 1, 50, 1, 2, 0),
(547, 3, 22, 'Account number:', 12, NULL, 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(548, 3, 22, 'Date account opened:', 13, 'YYYY-MM-DD', 0, 1, NULL, NULL, 1, 10, 1, 2, 0),
(549, 3, 22, 'Account type:', 14, NULL, 0, 5, 'accounttypes', NULL, 1, 200, 1, 2, 0),
(550, 3, 22, 'Account currency:', 15, NULL, 0, 3, 'currencies', NULL, 1, 50, 1, 2, 0),
(551, 3, 22, 'Was there any other person or entity involved in the completing action?', 17, NULL, 1, 3, 'indicators', NULL, 1, 10, 0, 2, 1),
(552, 3, 23, 'Account number:', 1, NULL, 0, 1, NULL, 'Information about the involvement', 1, 100, 0, 2, 0),
(553, 3, 23, 'Policy number:', 2, NULL, 0, 1, NULL, NULL, 1, 100, 0, 2, 0),
(554, 3, 23, 'Identifying number:', 3, NULL, 0, 1, NULL, NULL, 1, 100, 0, 2, 0),
(555, 3, 22, 'Virtual currency type:', 3, NULL, 0, 3, 'virtualcurrencies', NULL, 1, 200, 0, 2, 0),
(608, 3, 7, 'Subjects', 4, NULL, 0, 11, NULL, 'Subjects', 1, 0, 0, 2, 1),
(609, 3, 11, 'Subjects', 4, NULL, 0, 12, NULL, 'Subjects', 1, 0, 0, 2, 1),
(610, 3, 19, 'Subjects', 4, NULL, 0, 11, NULL, 'Subjects', 1, 0, 0, 2, 1),
(611, 3, 20, 'Subjects', 4, NULL, 0, 10, NULL, 'Subjects', 1, 0, 0, 2, 1),
(612, 3, 21, 'Subjects', 4, NULL, 0, 12, NULL, 'Subjects', 1, 0, 0, 2, 1);
INSERT INTO `forms` (`id`, `formtype_id`, `formpart_id`, `question`, `order`, `hint`, `Mandatory`, `type`, `options`, `label`, `Fintrac`, `max_char`, `collapse`, `Version`, `Wait`) VALUES
(613, 3, 7, 'Client number:', 1, NULL, 0, 1, NULL, 'Information for FINTRAC', 1, 100, 0, 2, 0),
(614, 3, 7, 'Email address:', 2, NULL, 0, 1, NULL, NULL, 1, 200, 0, 2, 0),
(615, 3, 7, 'Relationship:', 3, NULL, 0, 3, 'relationships', NULL, 1, 200, 0, 2, 0),
(616, 3, 24, 'Subject', 1, NULL, 0, 10, NULL, 'Subject', 1, 0, 0, 2, 1),
(617, 3, 23, 'Subject', 4, NULL, 0, 10, NULL, 'Subject', 1, 0, 0, 2, 1),
(619, 3, 12, '8b. If life insurance policy, specify policy number:', 3, NULL, 0, 1, NULL, NULL, 1, 20, 0, 1, 0),
(622, 1, 3, '18. ID Issuance(Province or state):', 18, NULL, 0, 3, 'states', NULL, 0, 100, 0, 1, 0),
(623, 1, 7, '18. ID Issuance(Province or state):', 18, NULL, 0, 3, 'states', NULL, 0, 100, 0, 1, 0),
(624, 2, 3, '18. ID Issuance(Province or state):', 18, NULL, 0, 3, 'states', NULL, 0, 100, 0, 1, 0),
(625, 2, 7, '18. ID Issuance(Province or state):', 18, NULL, 0, 3, 'states', NULL, 0, 100, 0, 1, 0),
(628, 1, 3, '19. Extra notes:', 19, NULL, 0, 4, '', NULL, 0, 300, 0, 1, 0),
(629, 2, 3, '19. Extra notes:', 19, NULL, 0, 4, '', NULL, 0, 300, 0, 1, 0),
(630, 3, 11, '20. Extra notes:', 21, '', 0, 4, '', NULL, 0, 300, 0, 1, 0),
(632, 4, 11, '19. Extra notes:', 29, NULL, 0, 4, '', NULL, 0, 300, 0, 1, 0),
(633, 3, 2, 'Internal reference number:', 16, NULL, 0, 1, NULL, NULL, 0, 20, 0, 2, 0),
(634, 1, 7, '19. Extra notes:', 19, '', 0, 4, NULL, NULL, 0, 300, 0, 1, 0),
(635, 2, 7, '19. Extra notes:', 19, '', 0, 4, NULL, NULL, 0, 300, 0, 1, 0),
(638, 4, 1, 'Reporting entity number:', 1, 'It Will Fill Automatically', 0, 1, NULL, 'General Information', 0, 10, 0, 2, 0),
(639, 4, 1, 'Reporting entity report reference number:', 2, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 20, 0, 2, 0),
(640, 4, 1, 'Activity sector:', 3, NULL, 1, 3, 'activities', 'Which activity sector best applies to the type of transaction being reported?', 1, 40, 0, 2, 0),
(641, 4, 1, 'Ministerial Directive', 4, NULL, 0, 3, 'directives', NULL, 1, 10, 0, 2, 0),
(642, 4, 1, 'Contact Number:', 5, 'It Will Fill Automatically', 0, 1, NULL, 'Contact Information', 1, 20, 1, 2, 0),
(643, 4, 1, 'Surname:', 6, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(644, 4, 1, 'Given name:', 7, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(645, 4, 1, 'Other/initial:', 8, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 50, 1, 2, 0),
(646, 4, 1, 'Telephone number:', 9, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 20, 1, 2, 0),
(647, 4, 1, 'Extension:', 10, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 10, 1, 2, 0),
(648, 4, 1, 'Email address:', 11, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 200, 1, 2, 0),
(649, 4, 2, 'Was the transaction attempted?', 2, '', 1, 3, 'transactionstatuses', NULL, 1, 10, 0, 2, 0),
(650, 4, 2, 'Reason transaction was not completed', 3, '', 0, 1, '', NULL, 1, 200, 0, 2, 0),
(651, 4, 2, 'Date of transaction:', 4, 'YYYY-MM-DD', 0, 1, NULL, NULL, 1, 10, 0, 2, 0),
(652, 4, 2, 'Time of transaction', 5, 'HH:MM:SS', 0, 1, NULL, NULL, 1, 10, 0, 2, 0),
(653, 4, 2, 'GMT Offset:', 6, NULL, 0, 3, 'timezones', NULL, 1, 35, 0, 2, 0),
(654, 4, 2, 'Method of transaction:', 10, NULL, 1, 5, 'transactionmethods', NULL, 1, 200, 0, 2, 1),
(655, 4, 2, 'Date of posting (if different from date of transaction):', 7, 'YYYY-MM-DD', 0, 1, NULL, NULL, 1, 30, 0, 2, 1),
(656, 3, 2, 'Time of posting (if different from time of transaction):', 5, 'HH:mm:ssZ', 0, 1, NULL, NULL, 1, 30, 0, 2, 1),
(657, 4, 2, 'Time zone of posting:', 9, NULL, 0, 3, 'timezones', NULL, 1, 35, 0, 2, 0),
(658, 4, 2, 'Reporting entity transaction reference number:', 1, NULL, 1, 1, NULL, NULL, 1, 200, 0, 2, 0),
(659, 4, 2, 'Purpose of transaction:', 11, NULL, 0, 4, NULL, NULL, 1, 200, 0, 2, 0),
(660, 4, 2, 'Reporting entity location number:', 12, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 30, 0, 2, 0),
(661, 4, 18, 'Direction of Starting Action', 1, NULL, 1, 3, 'direction', NULL, 1, 10, 0, 2, 1),
(662, 4, 18, 'Type of funds, assets or virtual currency(In/Out)', 2, NULL, 1, 3, 'fund_vc', NULL, 1, 200, 0, 2, 0),
(663, 4, 18, 'Amount:', 3, 'X,XXX.XX', 1, 1, NULL, NULL, 1, 0, 0, 2, 0),
(664, 4, 18, 'Currency:', 4, NULL, 0, 3, 'currencies', NULL, 1, 50, 0, 2, 0),
(665, 4, 18, 'Virtual currency type:', 5, NULL, 0, 3, 'virtualcurrencies', NULL, 1, 200, 0, 2, 0),
(666, 4, 18, 'Exchange Rate:', 6, NULL, 0, 1, NULL, NULL, 1, 10, 0, 2, 0),
(667, 4, 18, 'Virtual currency transaction identifier', 7, NULL, 0, 1, '', NULL, 1, 200, 0, 2, 0),
(668, 4, 18, 'Sending virtual currency address', 8, NULL, 0, 1, NULL, NULL, 1, 200, 0, 2, 0),
(669, 4, 18, 'Receiving virtual currency address', 9, NULL, 0, 1, NULL, NULL, 1, 200, 0, 2, 0),
(670, 4, 18, 'Reference number:', 10, NULL, 0, 1, NULL, NULL, 1, 200, 0, 2, 0),
(671, 4, 18, 'Other number related to reference number', 11, NULL, 0, 1, NULL, NULL, 1, 200, 0, 2, 0),
(672, 4, 18, 'Financial institution number', 12, NULL, 0, 1, NULL, 'Account', 1, 50, 1, 2, 0),
(673, 4, 18, 'Branch number', 13, NULL, 0, 1, NULL, NULL, 1, 50, 1, 2, 0),
(674, 4, 18, 'Account number', 14, NULL, 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(675, 4, 18, 'Account type', 15, NULL, 0, 2, 'accounttypes', NULL, 1, 200, 1, 2, 0),
(676, 4, 18, 'Account currency', 16, NULL, 0, 3, 'currencies', NULL, 1, 200, 1, 2, 0),
(677, 4, 18, 'Account virtual currency type', 17, NULL, 0, 3, 'virtualcurrencies', NULL, 1, 200, 1, 2, 0),
(678, 4, 18, 'Date account opened', 18, 'YYYY-MM-DD', 0, 1, NULL, NULL, 1, 10, 1, 2, 0),
(679, 4, 18, 'Date account closed', 19, 'YYYY-MM-DD', 0, 1, NULL, NULL, 1, 10, 1, 2, 0),
(680, 4, 18, 'Status of account at time of transaction', 20, NULL, 0, 3, 'statuses', NULL, 1, 10, 1, 2, 0),
(681, 4, 18, 'How were the funds or virtual currency obtained?', 22, '', 0, 1, NULL, NULL, 1, 200, 1, 2, 0),
(682, 4, 18, 'Was information about the source (person/entity) of funds or virtual currency obtained?', 23, NULL, 1, 3, 'indicators', NULL, 1, 10, 0, 2, 0),
(683, 4, 18, 'Have you obtained any conductor information related to this transaction or attempted transaction?', 24, NULL, 1, 3, 'indicators', NULL, 1, 10, 0, 2, 0),
(684, 4, 11, 'Client number', 1, NULL, 0, 1, NULL, 'Conductor Information', 1, 100, 1, 2, 0),
(685, 4, 11, 'Date and time of online session in which request was made', 8, 'YYYY-MM-DDTHH:mm:ssZ', 0, 1, NULL, NULL, 1, 30, 1, 2, 0),
(686, 4, 11, 'Type of device used', 4, NULL, 0, 3, 'dev_type', NULL, 1, 200, 1, 2, 0),
(687, 4, 11, 'Username', 5, '', 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(688, 4, 11, 'Device identifier number', 6, NULL, 0, 1, '', NULL, 1, 200, 1, 2, 0),
(689, 4, 11, 'Internet protocol address', 7, NULL, 0, 1, '', NULL, 1, 200, 1, 2, 0),
(690, 4, 11, 'GMT Offset', 9, NULL, 0, 3, 'timezones', NULL, 1, 35, 1, 2, 0),
(691, 4, 11, 'Email address', 2, NULL, 0, 1, '', NULL, 1, 200, 1, 2, 0),
(692, 4, 11, 'URL', 3, NULL, 0, 1, '', NULL, 1, 200, 1, 2, 0),
(693, 4, 11, 'Subject', 10, NULL, 0, 13, NULL, NULL, 1, 0, 0, 2, 0),
(694, 4, 13, 'Description of suspicious activity', 1, NULL, 1, 4, NULL, NULL, 1, 500, 0, 2, 0),
(695, 4, 13, 'Public-Private partnership project name (select all that apply)', 3, NULL, 1, 6, 'project_type', NULL, 1, 100, 0, 2, 0),
(696, 4, 13, 'Suspicion type', 2, NULL, 1, 3, 'suspicion_type', NULL, 1, 100, 0, 2, 0),
(697, 4, 13, 'Does this report include information about an individual you have determined to be a politically exposed person (PEP)?', 4, NULL, 1, 3, 'indicators', NULL, 1, 100, 0, 2, 0),
(698, 4, 13, 'Description of action taken', 5, NULL, 1, 4, '', NULL, 1, 10000, 0, 2, 0),
(705, 4, 26, 'Account number:', 1, NULL, 0, 1, NULL, 'Information about the source of cash', 1, 200, 0, 2, 0),
(706, 4, 26, 'Policy number:', 2, NULL, 0, 1, NULL, NULL, 1, 100, 0, 2, 0),
(707, 4, 26, 'Identifying number:', 3, NULL, 0, 1, NULL, NULL, 1, 100, 0, 2, 0),
(708, 4, 26, 'Subjects', 4, NULL, 0, 10, NULL, NULL, 1, 0, 0, 2, 1),
(709, 4, 11, 'Was this transaction conducted or attempted on behalf of another person or entity?', 11, NULL, 1, 3, 'indicators', NULL, 1, 0, 0, 2, 0),
(710, 4, 22, 'Details of disposition', 1, NULL, 1, 3, 'dispositions2', NULL, 1, 200, 0, 2, 0),
(711, 4, 22, 'Amount:', 2, 'X,XXX.XX', 1, 1, NULL, NULL, 1, 30, 0, 2, 0),
(712, 4, 22, 'Currency', 3, NULL, 0, 3, 'currencies', NULL, 1, 50, 0, 2, 0),
(713, 4, 22, 'Virtual currency type:', 4, NULL, 0, 3, 'virtualcurrencies', NULL, 1, 200, 0, 2, 0),
(714, 4, 22, 'Exchange Rate:', 5, NULL, 0, 1, NULL, NULL, 1, 10, 0, 2, 0),
(715, 4, 22, 'Value in Canadian dollars:', 6, 'X,XXX.XXX', 1, 1, NULL, NULL, 1, 200, 0, 2, 0),
(716, 4, 22, 'Virtual currency transaction identifier', 7, NULL, 0, 1, NULL, NULL, 1, 200, 0, 2, 0),
(717, 4, 22, 'Sending virtual currency address', 8, NULL, 0, 1, NULL, NULL, 1, 200, 0, 2, 0),
(718, 4, 22, 'Receiving virtual currency address', 9, NULL, 0, 1, NULL, NULL, 1, 200, 0, 2, 0),
(719, 4, 22, 'Reference number:', 10, NULL, 0, 1, NULL, 'Account', 1, 200, 0, 2, 0),
(720, 4, 22, 'Other number related to reference number', 11, NULL, 0, 1, NULL, NULL, 1, 200, 0, 2, 0),
(721, 4, 22, 'Financial institution number', 12, NULL, 0, 1, NULL, 'Account Information', 1, 50, 1, 2, 0),
(722, 4, 22, 'Branch number', 13, NULL, 0, 1, NULL, NULL, 1, 50, 1, 2, 0),
(723, 4, 22, 'Account number', 14, NULL, 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(724, 4, 22, 'Account type', 15, NULL, 0, 2, 'accounttypes', NULL, 1, 200, 1, 2, 0),
(725, 4, 22, 'Account currency', 16, NULL, 0, 3, 'currencies', NULL, 1, 200, 1, 2, 0),
(726, 4, 22, 'Account virtual currency type', 17, NULL, 0, 3, 'virtualcurrencies', NULL, 1, 200, 1, 2, 0),
(727, 4, 22, 'Date account opened', 18, 'YYYY-MM-DD', 0, 1, NULL, NULL, 1, 10, 1, 2, 0),
(728, 4, 22, 'Date account closed', 19, 'YYYY-MM-DD', 0, 1, NULL, NULL, 1, 10, 1, 2, 0),
(729, 4, 22, 'Status of account at time of transaction', 21, NULL, 0, 3, 'statuses', NULL, 1, 10, 1, 2, 0),
(730, 4, 22, 'Was there any other person or entity involved in the completing action?', 22, NULL, 1, 3, 'indicators', NULL, 1, 10, 0, 2, 0),
(731, 4, 22, 'Have you obtained any beneficiary information related to this transaction or attempted transaction?', 23, NULL, 1, 3, 'indicators', NULL, 1, 10, 0, 2, 0),
(732, 4, 23, 'Account number:', 1, NULL, 0, 1, NULL, 'Involvement Information', 1, 200, 1, 2, 0),
(733, 4, 23, 'Policy number:', 2, NULL, 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(734, 4, 23, 'Identifying number:', 3, NULL, 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(735, 4, 23, 'Subjects', 4, NULL, 0, 10, NULL, NULL, 1, 0, 0, 2, 1),
(736, 4, 7, 'Client number', 1, NULL, 0, 1, NULL, NULL, 1, 100, 0, 2, 0),
(737, 4, 7, 'Username', 2, NULL, 0, 1, NULL, NULL, 1, 100, 0, 2, 0),
(738, 4, 7, 'Email address', 3, NULL, 0, 1, NULL, NULL, 1, 200, 0, 2, 0),
(739, 4, 7, 'Subject', 4, NULL, 0, 11, NULL, NULL, 1, 0, 0, 2, 0),
(740, 4, 18, 'Account holders', 21, NULL, 0, 10, '', 'Account holders', 1, 10, 1, 2, 0),
(741, 4, 22, 'Account holders', 20, NULL, 0, 10, NULL, 'Account holders', 1, 10, 1, 2, 0),
(742, 4, 19, 'Client number', 1, NULL, 0, 1, NULL, 'On Behalf Information', 1, 100, 1, 2, 0),
(743, 4, 19, 'URL', 3, '', 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(744, 4, 19, 'Email address', 2, NULL, 0, 1, '', NULL, 1, 200, 1, 2, 0),
(745, 4, 19, 'Subject', 5, NULL, 0, 13, NULL, NULL, 1, 0, 0, 2, 0),
(746, 4, 19, 'Relationship', 4, NULL, 0, 3, 'relationships', NULL, 1, 0, 1, 2, 0),
(747, 4, 1, 'Internal Reference', 12, NULL, 0, 1, NULL, NULL, 1, 100, 0, 2, 0),
(748, 1, 2, 'Electronic funds transfer direction', 7, NULL, 1, 3, 'eft_dir', 'Transaction Information', 1, 10, 1, 2, 0),
(749, 1, 1, 'Aggregation type:', 4, NULL, 0, 3, '', NULL, 1, 10, 0, 2, 0),
(750, 1, 1, '24-hour period start date/time:', 5, 'YYYY-MM-DDTHH:mm:ssZ', 1, 1, NULL, NULL, 1, 30, 0, 2, 0),
(751, 1, 1, '24-hour period end date/time:', 6, 'YYYY-MM-DDTHH:mm:ssZ', 1, 1, NULL, NULL, 1, 30, 0, 2, 0),
(752, 1, 1, 'GMT Offset:', 7, NULL, 0, 3, 'timezones', NULL, 1, 35, 0, 2, 0),
(753, 1, 1, 'Ministerial Directive', 8, NULL, 0, 3, 'directives', NULL, 1, 10, 0, 2, 0),
(754, 1, 1, 'Reporting entity number:', 1, 'It Will Fill Automatically', 0, 1, NULL, NULL, 0, 10, 0, 2, 0),
(755, 1, 1, 'Reporting entity report reference number:', 2, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 20, 0, 2, 0),
(756, 1, 1, 'Activity sector:', 3, NULL, 1, 3, 'activities', NULL, 1, 40, 0, 2, 0),
(757, 1, 1, 'Contact Number:', 9, 'It Will Fill Automatically', 0, 1, NULL, 'Contact Information', 1, 20, 1, 2, 0),
(758, 1, 1, 'Surname:', 10, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(759, 1, 1, 'Given name:', 11, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(760, 1, 1, 'Other/initial:', 12, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 50, 1, 2, 0),
(761, 1, 1, 'Telephone number:', 13, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 20, 1, 2, 0),
(762, 1, 1, 'Extension:', 14, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 10, 1, 2, 0),
(763, 1, 1, 'Email address:', 15, 'It Will Fill Automatically', 0, 1, NULL, NULL, 1, 200, 1, 2, 0),
(764, 1, 2, 'Internal Reference', 19, NULL, 0, 1, NULL, NULL, 1, 100, 0, 2, 0),
(765, 1, 2, 'Electronic funds transfer type', 4, NULL, 1, 3, 'swift', NULL, 1, 10, 0, 2, 0),
(766, 1, 2, 'Date and time of transaction', 5, 'YYYY-MM-DDTHH:mm:ssZ', 1, 1, '', NULL, 1, 30, 0, 2, 1),
(767, 1, 2, 'Time zone of transaction', 6, NULL, 1, 3, 'timezones', NULL, 1, 35, 0, 2, 0),
(768, 1, 18, 'Amount', 1, 'X,XXX.XX', 1, 1, NULL, NULL, 1, 20, 0, 2, 0),
(769, 1, 18, 'Currency', 2, NULL, 1, 3, 'currencies', NULL, 1, 50, 0, 2, 0),
(770, 1, 18, 'Exchange Rate', 3, NULL, 0, 1, NULL, NULL, 1, 10, 0, 2, 0),
(771, 1, 2, 'Threshold indicator', 3, NULL, 1, 3, 'indicators', NULL, 1, 10, 0, 2, 1),
(772, 1, 2, 'Reporting entity transaction reference number', 1, NULL, 1, 1, NULL, NULL, 1, 200, 0, 2, 0),
(773, 1, 2, 'Have you applied a regulatory exception to this transaction?', 2, NULL, 1, 3, 'indicators', NULL, 1, 10, 0, 2, 0),
(774, 1, 2, 'As the initiator of this transaction, are you also the final receiver for this transaction?', 8, NULL, 0, 3, 'indicators', NULL, 1, 10, 1, 2, 0),
(775, 1, 2, 'Are the funds finally received within your business?', 9, NULL, 0, 3, 'indicators', NULL, 1, 10, 1, 2, 0),
(776, 1, 2, 'What is the requester\'s residential status?', 12, NULL, 0, 3, 'resident', NULL, 1, 10, 1, 2, 0),
(777, 1, 2, 'What is the beneficiary\'s residential status?', 14, NULL, 0, 3, 'resident', NULL, 1, 10, 1, 2, 0),
(778, 1, 2, 'Is the requester moving funds into or out of Canada?', 13, NULL, 0, 3, 'move_fund', NULL, 1, 10, 1, 2, 0),
(779, 1, 2, 'As the final receiver of this transaction, are you also the initiator for this transaction?', 10, NULL, 0, 3, 'indicators', NULL, 1, 10, 1, 2, 0),
(780, 1, 2, 'Is the transfer of funds initiated from your business?', 11, NULL, 0, 3, 'indicators', NULL, 1, 10, 1, 2, 0),
(781, 1, 18, 'Was information about the source (person / entity) of funds obtained?', 5, NULL, 1, 3, 'indicators', NULL, 1, 10, 0, 2, 0),
(782, 1, 18, 'How were the funds obtained?', 4, NULL, 0, 1, '', NULL, 1, 200, 0, 2, 0),
(783, 1, 26, 'Account number', 1, NULL, 0, 1, NULL, 'Information about the source of cash', 1, 200, 0, 2, 0),
(784, 1, 26, 'Policy number:', 2, NULL, 0, 1, NULL, NULL, 1, 100, 0, 2, 0),
(785, 1, 26, 'Identifying number:', 3, NULL, 0, 1, NULL, NULL, 1, 100, 0, 2, 0),
(786, 1, 26, 'Subjects', 4, NULL, 0, 10, NULL, NULL, 1, 0, 0, 2, 1),
(787, 1, 25, 'Bank identification code or business entity identifier', 1, NULL, 0, 1, NULL, NULL, 1, 50, 0, 2, 0),
(788, 1, 25, 'Identification number assigned to person in respect of their electronic funds transfer activities', 2, NULL, 0, 1, NULL, NULL, 1, 50, 0, 2, 0),
(790, 1, 25, 'Subject', 9, NULL, 0, 16, NULL, NULL, 1, 0, 0, 2, 1),
(791, 1, 27, 'Client number', 1, NULL, 0, 1, NULL, 'Requester Information', 1, 100, 2, 2, 0),
(792, 1, 27, 'Date and time of online session in which request was made', 8, 'YYYY-MM-DDTHH:mm:ssZ', 0, 1, NULL, NULL, 1, 30, 2, 2, 0),
(793, 1, 27, 'Type of device used', 4, NULL, 0, 3, 'dev_type', NULL, 1, 200, 2, 2, 0),
(794, 1, 27, 'Username', 5, '', 0, 1, NULL, NULL, 1, 100, 2, 2, 0),
(795, 1, 27, 'Device identifier number', 6, NULL, 0, 1, '', NULL, 1, 200, 2, 2, 0),
(796, 1, 27, 'Internet protocol address', 7, NULL, 0, 1, '', NULL, 1, 200, 2, 2, 0),
(797, 1, 27, 'GMT Offset', 9, NULL, 0, 3, 'timezones', NULL, 1, 35, 2, 2, 0),
(798, 1, 27, 'Email address', 2, NULL, 0, 1, '', NULL, 1, 200, 2, 2, 0),
(801, 1, 27, 'Was this transaction conducted or attempted on behalf of another person or entity?', 23, NULL, 1, 3, 'indicators', NULL, 1, 0, 0, 2, 0),
(802, 1, 27, 'Were the funds withdrawn from an account not held by the requester (person/entity)?', 24, NULL, 1, 3, 'indicators', NULL, 1, 0, 0, 2, 0),
(803, 1, 24, 'Client number', 1, NULL, 0, 1, NULL, NULL, 1, 100, 0, 2, 0),
(804, 1, 24, 'Email address', 2, NULL, 0, 1, '', NULL, 1, 200, 0, 2, 0),
(805, 1, 24, 'Subject', 5, NULL, 0, 11, NULL, NULL, 1, 0, 0, 2, 0),
(806, 1, 24, 'Relationship', 4, NULL, 0, 3, 'relationships', NULL, 1, 0, 0, 2, 0),
(807, 1, 19, 'Client number', 1, NULL, 0, 1, NULL, 'On Behalf Information', 1, 100, 1, 2, 0),
(808, 1, 19, 'Email address', 2, NULL, 0, 1, NULL, NULL, 1, 200, 1, 2, 0),
(809, 1, 19, 'Subject', 5, NULL, 0, 17, NULL, NULL, 1, 0, 0, 2, 0),
(810, 1, 19, 'Relationship', 4, NULL, 0, 3, 'relationships', NULL, 1, 0, 1, 2, 0),
(811, 1, 4, 'Bank identification code or business entity identifier', 1, NULL, 0, 1, NULL, 'Sender Information', 1, 50, 1, 2, 0),
(812, 1, 4, 'Identification number assigned to person or entity in respect of their EFT activities', 2, NULL, 0, 1, NULL, NULL, 1, 50, 1, 2, 0),
(813, 1, 4, 'Relationship(with initiator)', 3, NULL, 0, 3, 'relationships_eftr', NULL, 1, 200, 1, 2, 0),
(814, 1, 4, 'Relationship(with receiver)', 4, NULL, 0, 3, 'relationships_eftr', NULL, 1, 200, 1, 2, 0),
(815, 1, 4, 'Subject', 6, NULL, 0, 14, NULL, NULL, 1, 0, 0, 2, 0),
(816, 1, 23, 'Bank identification code or business entity identifier', 1, NULL, 0, 1, NULL, 'Involvement Information', 1, 50, 1, 2, 0),
(817, 1, 23, 'Identification number assigned to person or entity in respect of their EFT activities', 2, NULL, 0, 1, NULL, NULL, 1, 50, 1, 2, 0),
(818, 1, 23, 'Relationship(with initiator)', 3, NULL, 0, 3, 'relationships_eftr', NULL, 1, 200, 1, 2, 0),
(819, 1, 23, 'Relationship(with receiver)', 4, NULL, 0, 3, 'relationships_eftr', NULL, 1, 200, 1, 2, 0),
(820, 1, 23, 'Subject', 7, NULL, 0, 14, NULL, NULL, 1, 0, 0, 2, 0),
(821, 1, 23, 'Relationship(with sender)', 5, NULL, 0, 3, 'relationships_eftr', NULL, 1, 200, 1, 2, 0),
(822, 1, 22, 'Details of disposition', 1, NULL, 1, 3, 'dispositions2', NULL, 1, 200, 0, 2, 0),
(823, 1, 22, 'Amount:', 2, 'X,XXX.XX', 1, 1, NULL, NULL, 1, 30, 0, 2, 0),
(824, 1, 22, 'Currency', 3, NULL, 0, 3, 'currencies', NULL, 1, 50, 0, 2, 0),
(825, 1, 22, 'Virtual currency type:', 4, NULL, 0, 3, 'virtualcurrencies', NULL, 1, 200, 0, 2, 0),
(826, 1, 22, 'Exchange Rate:', 5, NULL, 0, 1, NULL, NULL, 1, 10, 0, 2, 0),
(827, 1, 22, 'Value in Canadian dollars:', 6, 'X,XXX.XXX', 1, 1, NULL, NULL, 1, 200, 0, 2, 0),
(828, 1, 22, 'Was there any other person or entity involved in the completing action?', 8, NULL, 1, 3, 'indicators', NULL, 1, 10, 0, 2, 0),
(829, 1, 7, 'Client number', 1, NULL, 0, 1, NULL, 'Beneficiary information', 1, 100, 1, 2, 0),
(830, 1, 7, 'Username', 2, '', 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(831, 1, 7, 'Email address', 3, NULL, 0, 1, '', NULL, 1, 200, 1, 2, 0),
(832, 1, 7, 'Subject', 4, NULL, 0, 11, NULL, 'Beneficiary', 1, 0, 0, 2, 0),
(833, 1, 7, 'Was this transaction conducted on behalf of another person or entity?', 17, NULL, 1, 3, 'indicators', NULL, 1, 10, 0, 2, 1),
(834, 1, 6, 'Bank identification code or business entity identifier', 1, NULL, 0, 1, NULL, NULL, 1, 50, 0, 2, 0),
(835, 1, 6, 'Identification number assigned to person in respect of their electronic funds transfer activities', 2, NULL, 0, 1, NULL, NULL, 1, 50, 0, 2, 0),
(837, 1, 6, 'Subject', 9, NULL, 0, 16, NULL, NULL, 1, 0, 0, 2, 1),
(838, 1, 27, 'Reference number:', 11, NULL, 0, 1, NULL, 'Account', 1, 200, 1, 2, 0),
(839, 1, 27, 'Other number related to reference number', 12, NULL, 0, 1, NULL, NULL, 1, 200, 1, 2, 0),
(840, 1, 27, 'Financial institution number', 13, NULL, 0, 1, NULL, NULL, 1, 50, 1, 2, 0),
(841, 1, 27, 'Branch number', 14, NULL, 0, 1, NULL, NULL, 1, 50, 1, 2, 0),
(842, 1, 27, 'Account number', 15, NULL, 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(843, 1, 27, 'Account type', 16, NULL, 0, 2, 'accounttypes', NULL, 1, 200, 1, 2, 0),
(844, 1, 27, 'Account currency', 17, NULL, 0, 3, 'currencies', NULL, 1, 200, 1, 2, 0),
(846, 1, 27, 'Date account opened', 19, 'YYYY-MM-DD', 0, 1, NULL, NULL, 1, 10, 1, 2, 0),
(849, 1, 27, 'Subject', 22, NULL, 0, 10, NULL, 'Account holders', 1, 0, 1, 2, 0),
(850, 1, 7, 'Reference number:', 5, NULL, 0, 1, NULL, 'Account', 1, 200, 1, 2, 0),
(851, 1, 7, 'Other number related to reference number', 6, NULL, 0, 1, NULL, NULL, 1, 200, 1, 2, 0),
(852, 1, 7, 'Financial institution number', 7, NULL, 0, 1, NULL, NULL, 1, 50, 1, 2, 0),
(853, 1, 7, 'Branch number', 8, NULL, 0, 1, NULL, NULL, 1, 50, 1, 2, 0),
(854, 1, 7, 'Account number', 9, NULL, 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(855, 1, 7, 'Account type', 10, NULL, 0, 2, 'accounttypes', NULL, 1, 200, 1, 2, 0),
(856, 1, 7, 'Account currency', 11, NULL, 0, 3, 'currencies', NULL, 1, 200, 1, 2, 0),
(858, 1, 7, 'Date account opened', 13, 'YYYY-MM-DD', 0, 1, NULL, NULL, 1, 10, 1, 2, 0),
(861, 1, 7, 'Subject', 16, NULL, 0, 10, NULL, 'Account holders', 1, 0, 1, 2, 0),
(862, 4, 13, 'Reporting entity report reference number', 6, NULL, 1, 1, '', 'Related reports', 1, 100, 0, 2, 0),
(863, 4, 13, 'Reporting entity transaction reference numbers', 7, NULL, 1, 1, '', NULL, 1, 200, 0, 2, 0),
(864, 3, 22, 'Subject', 16, NULL, 0, 10, NULL, 'Account holders', 1, 0, 1, 2, 0),
(865, 1, 2, 'Tag', 17, NULL, 0, 3, 'tags', 'Additional Payment Informations', 1, 50, 1, 2, 0),
(866, 1, 2, 'Value for tag', 18, NULL, 0, 4, NULL, NULL, 1, 10000, 1, 2, 0),
(867, 1, 27, 'Subject', 10, NULL, 0, 11, NULL, 'Requesters', 1, 0, 0, 2, 0),
(868, 1, 28, 'Account number:', 1, NULL, 0, 1, NULL, '', 1, 200, 0, 2, 0),
(869, 1, 28, 'Policy number:', 2, NULL, 0, 1, NULL, NULL, 1, 100, 0, 2, 0),
(870, 1, 28, 'Identifying number:', 3, NULL, 0, 1, NULL, NULL, 1, 100, 0, 2, 0),
(871, 1, 28, 'Subjects', 4, NULL, 0, 10, NULL, NULL, 1, 0, 0, 2, 1),
(872, 1, 2, 'Are there additional parties sending this electronic funds transfer?', 15, NULL, 1, 3, 'indicators', NULL, 1, 10, 0, 2, 0),
(873, 1, 2, 'Are there additional parties involved in effecting the electronic funds transfer that is a SWIFT message?', 16, NULL, 0, 3, 'indicators', NULL, 1, 200, 0, 2, 0),
(874, 4, 2, 'Time of posting (if different from date of transaction)', 8, 'HH:MM:SS', 0, 1, NULL, NULL, 1, 10, 0, 2, 0),
(882, 1, 25, 'Reporting entity location number:', 3, NULL, 0, 1, NULL, 'Initiator Information', 1, 30, 1, 2, 0),
(883, 1, 25, 'Street address:', 4, NULL, 0, 1, NULL, NULL, 1, 200, 1, 2, 0),
(884, 1, 25, 'City:', 5, NULL, 0, 1, NULL, NULL, 1, 70, 1, 2, 0),
(885, 1, 25, 'Country:', 6, NULL, 0, 1, NULL, NULL, 1, 40, 1, 2, 0),
(886, 1, 25, 'Province or state:', 7, NULL, 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(887, 1, 25, 'Postal or zip code:', 8, NULL, 0, 1, NULL, NULL, 1, 20, 1, 2, 0),
(889, 1, 6, 'Reporting entity location number:', 3, NULL, 0, 1, NULL, 'Receiver Information', 1, 30, 1, 2, 0),
(890, 1, 6, 'Street address:', 4, NULL, 0, 1, NULL, NULL, 1, 200, 1, 2, 0),
(891, 1, 6, 'City:', 5, NULL, 0, 1, NULL, NULL, 1, 70, 1, 2, 0),
(892, 1, 6, 'Country:', 6, NULL, 0, 1, NULL, NULL, 1, 40, 1, 2, 0),
(893, 1, 6, 'Province or state:', 7, NULL, 0, 1, NULL, NULL, 1, 100, 1, 2, 0),
(894, 1, 6, 'Postal or zip code:', 8, NULL, 0, 1, NULL, NULL, 1, 20, 1, 2, 0),
(895, 1, 22, 'Fee (Accounting):', 7, NULL, 0, 1, NULL, NULL, 0, 10, 0, 2, 0),
(896, 3, 22, 'Fee (Accounting):', 7, NULL, 0, 1, NULL, NULL, 0, 10, 0, 2, 0);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
